Holger's Java API

## com.antelmann.db.remote
Class RemoteDBChangeFilter

    java.lang.Object
      com.antelmann.db.remote.RemoteDBChangeFilter

All Implemented Interfaces:
  Filter<RemoteDBUpdateEvent>, Serializable

    public class RemoteDBChangeFilter

extends Object
implements Serializable, Filter<RemoteDBUpdateEvent>

allows to set certain filter options for the delivery of change notification on the server from the client

Since:
  16.11.2008, 15:37:58
Author:
  Holger Antelmann
See Also:
  `ChangeNotificationServer`, `RemoteDatabaseChangeHandler`, Serialized Form

Field Summary

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Constructor Summary
`RemoteDBChangeFilter(Class<?>... entryClasses)` if no entryClasses are given, every DBEntry class is accepted; every given class must implement `DBEntry`
`RemoteDBChangeFilter(String... entryClassNames)` every given class name must correspond to a class implementing `DBEntry`

Method Summary
`boolean` `accept(RemoteDBUpdateEvent entry)` returns true only if the given entry is accepted by this filter
`String[]` `getEntryClassNames()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteDBChangeFilter

    public RemoteDBChangeFilter(Class<?>... entryClasses)
                         throws IllegalArgumentException

  if no entryClasses are given, every DBEntry class is accepted; every given class must implement `DBEntry`

  Throws:
    `IllegalArgumentException`

### RemoteDBChangeFilter

    public RemoteDBChangeFilter(String... entryClassNames)

  every given class name must correspond to a class implementing `DBEntry`

Method Detail

### getEntryClassNames

    public String[] getEntryClassNames()

### accept

    public boolean accept(RemoteDBUpdateEvent entry)

  Description copied from interface: `Filter`
  returns true only if the given entry is accepted by this filter

  Specified by:
    `accept` in interface `Filter<RemoteDBUpdateEvent>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads